Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/php7-zmq: PHP7 ZeroMQ package

From: Fabio da Silva Ribeiro <silva.ribeiro_at_dafiti.com.br>
Date: Thu, 7 Apr 2016 00:03:24 -0300

---
 testing/php7-zmq/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/php7-zmq/APKBUILD
diff --git a/testing/php7-zmq/APKBUILD b/testing/php7-zmq/APKBUILD
new file mode 100644
index 0000000..2916189
--- /dev/null
+++ b/testing/php7-zmq/APKBUILD
_at_@ -0,0 +1,37 @@
+# Contributor: Fabio Ribeiro <fabiorphp_at_gmail.com>
+# Maintainer: Fabio Ribeiro <fabiorphp_at_gmail.com>
+pkgname=php7-zmq
+_pkgreal=zmq
+pkgver=1.1.3
+_pkgver=${pkgver}
+pkgrel=0
+pkgdesc="ZeroMQ is a software library that lets you quickly design and implement a fast message-based applications."
+url="http://pecl.php.net/package/$_pkgreal"
+arch="x86_64 armhf"
+license="PHP"
+depends=
+pecldepends="php7-dev autoconf zeromq-dev"
+makedepends="$pecldepends"
+install=""
+subpackages=""
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
+
+builddir="$srcdir"/$_pkgreal-$_pkgver
+
+build() {
+	cd "$builddir"
+	phpize7 || return 1
+	./configure --prefix=/usr --with-php-config=php-config7 || return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	install -d "$pkgdir"/etc/php7/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php7/conf.d/50_$_pkgreal.ini
+}
+
+md5sums="9c638df5a6347a0fefb0d43d780e6480  zmq-1.1.3.tgz"
+sha256sums="c492375818bd51b355352798fb94f04d6828c6aeda41ba813849624af74144ce  zmq-1.1.3.tgz"
+sha512sums="0f03016e315a6c6a1e1d6eca1e20564834d2a924cef06af1b38693933f1e5a094c37e9c432705a64f61d95e82655f61358fc7783e7a6f06c7dd9ad84fc6f7bbc  zmq-1.1.3.tgz"
-- 
2.5.0
-- 
***
Esta mensagem, incluindo seus anexos, pode conter informações confidenciais 
e/ou privilegiadas. Se você não for a pessoa autorizada a receber esta 
mensagem, não pode usar, copiar ou divulgar as informações nela contidas ou 
tomar qualquer ação baseada nessas informações. Caso esta mensagem tenha 
sido recebida por engano, por favor avise imediatamente o remetente, 
respondendo o e-mail e em seguida elimine-a do seu sistema. Agradecemos sua 
cooperação.
This message, including any attachments, may contain confidential and/or 
privileged information. If you are not the addressee or authorized to 
receive this for the addressee, you must not use, copy, disclose or take 
any action based on this message or any information herein. If you have 
received this message in error, please advise the sender immediately by 
reply e-mail and delete this message.Thank you for your cooperation
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Apr 07 2016 - 00:03:24 GMT